moeoRandomSelect(3)

NAME
moeoRandomSelect - Selection strategy that selects only one element randomly from a whole population.

SYNOPSIS

#include <moeoRandomSelect.h>

Inherits moeoSelectOne< MOEOT >< MOEOT >, and eoRandomSelect< MOEOT >.

  Public Member Functions
moeoRandomSelect ()
Ctor.
const MOEOT & operator() (const eoPop< MOEOT > &_pop)
Return one individual at random by using an eoRandomSelect.

Detailed Description

  template<class MOEOT> class moeoRandomSelect< MOEOT >
Selection strategy that selects only one element randomly from a whole population.

Definition at line 23 of file moeoRandomSelect.h.

Author

Generated automatically by Doxygen for ParadisEO-MOEO from the source code.